# Class FileItemHeadersImpl

java.lang.Object
org.apache.tomcat.util.http.fileupload.util.FileItemHeadersImpl

All Implemented Interfaces:
  `Serializable`, `FileItemHeaders`

public class FileItemHeadersImpl extends Object implements FileItemHeaders, Serializable
Default implementation of the `FileItemHeaders` interface.

Since:
  FileUpload 1.2.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileItemHeadersImpl()`
Constructs a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`addHeader(String name, String value)`
Method to add header values to this instance.
`String`
`getHeader(String name)`
Returns the value of the specified part header as a `String`.
`Iterator<String>`
`getHeaderNames()`
Returns an `Iterator` of all the header names.
`Iterator<String>`
`getHeaders(String name)`
Returns all the values of the specified item header as an `Iterator` of `String` objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileItemHeadersImpl

public FileItemHeadersImpl()
Constructs a new instance.

## Method Details

### addHeader

public void addHeader(String name, String value)
Method to add header values to this instance.

Parameters:
  `name` - name of this header
  `value` - value of this header

### getHeader

public String getHeader(String name)
Description copied from interface: `FileItemHeaders`
Returns the value of the specified part header as a `String`. If the part did not include a header of the specified name, this method return `null`. If there are multiple headers with the same name, this method returns the first header in the item. The header name is case insensitive.

Specified by:
  `getHeader` in interface `FileItemHeaders`
Parameters:
  `name` - a `String` specifying the header name
Returns:
  a `String` containing the value of the requested header, or `null` if the item does not have a header of that name

### getHeaderNames

public Iterator<String> getHeaderNames()
Description copied from interface: `FileItemHeaders`

Returns an `Iterator` of all the header names.

Specified by:
  `getHeaderNames` in interface `FileItemHeaders`
Returns:
  an `Iterator` containing all of the names of headers provided with this file item. If the item does not have any headers return an empty `Iterator`

### getHeaders

public Iterator<String> getHeaders(String name)
Description copied from interface: `FileItemHeaders`

Returns all the values of the specified item header as an `Iterator` of `String` objects.

If the item did not include any headers of the specified name, this method returns an empty `Iterator`. The header name is case insensitive.

Specified by:
  `getHeaders` in interface `FileItemHeaders`
Parameters:
  `name` - a `String` specifying the header name
Returns:
  an `Iterator` containing the values of the requested header. If the item does not have any headers of that name, return an empty `Iterator`